﻿.keyword-bar {
    display: none;
}

.highlight-page {
    overflow: hidden;
}

.highlight-header {
    padding: 32px 0;
    position: relative;
    /* z-index: 2; */
}

    .highlight-header > * {
        position: relative;
        z-index: 1;
    }

    .highlight-header::after {
        content: "";
        position: absolute;
        /* z-index: 1; */
        top: 0;
        left: 50%;
        right: 50%;
        margin-left: -50vw;
        margin-right: -50vw;
        width: 100vw;
        height: 100%;
        background-image: url('/asset/images/place_background.png');
        background-repeat: no-repeat;
        background-position: center;
        /*background-attachment: fixed;*/
        background-size: 100% auto;
        transform: scaleX(-1);
        opacity: .8;
    }

.highlight-header__title {
    font: 700 32px var(--font-highlight);
    color: var(--color-neutral-0);
    text-align: center;
    margin-bottom: 16px;
}

.highlight-header__bar {
    border-bottom: 1px solid #E8E8E81A;
}

.highlight-header__shape {
    width: 128px;
    height: 7px;
    margin: 0 auto;
    background-color: var(--color-primary-900);
    clip-path: polygon(0 0, 100% 0%, 93% 100%, 7% 100%);
}

.highlight-body {
    padding: 24px 0 32px;
    background-color: var(--color-neutral-100);
    box-shadow: 0 0 0 100vmax var(--color-neutral-100);
    clip-path: inset(0 -100vmax);
}

    .highlight-body > *:nth-last-child(n+2) {
        padding-bottom: 32px;
        margin-bottom: 32px;
        border-bottom: 1px solid var(--color-neutral-200);
    }

    .highlight-body > *:nth-child(even) .highlight-topstory__upper > * {
        flex-direction: row-reverse;
    }

.highlight-topstory__upper,
.highlight-topstory {
    padding-bottom: 16px;
    margin-bottom: 16px;
    border-bottom: 1px dashed var(--color-neutral-200);
}

    .highlight-topstory__upper > * {
        justify-content: space-between;
    }

    .highlight-topstory__upper .highlight-post__icon-wrapper {
        width: 40px;
        height: 40px;
    }

    .highlight-topstory__upper svg {
        width: 24px;
        height: 24px;
    }

    .highlight-topstory__upper .highlight-post__info {
        text-align: center;
        width: 44.926%;
        flex: unset;
    }

.highlight-post__image-wrapper--flex-item {
    width: 52.536%;
}

.highlight-topstory__lower {
    display: flex;
}

    .highlight-topstory__lower > * {
        width: calc((100% / 3) - (24px * 2 / 3));
    }

        .highlight-topstory__lower > *:nth-child(4) {
            display: none;
        }

        .highlight-topstory__lower > *:nth-child(-n+2) {
            margin-right: 24px;
        }

    .highlight-topstory__lower .highlight-post__image-wrapper {
        margin-bottom: 16px;
    }

.highlight-relate > * {
    display: flex;
}

    .highlight-relate > *:nth-last-child(n+2) {
        margin-bottom: 16px;
        padding-bottom: 16px;
        border-bottom: 1px dashed var(--color-neutral-200);
    }

.highlight-relate .highlight-post__image-wrapper {
    width: 25.475%;
    margin-right: 16px;
}

.highlight-relate .highlight-post__info {
    flex: 1;
}
/* Post */
.highlight-post--flex {
    display: flex;
}

.highlight-post__image-wrapper {
    border-radius: 2px;
    overflow: hidden;
}

.highlight-post__info {
    flex: 1;
    color: var(--color-neutral-800);
}

.highlight-post__title {
    font: 500 16px var(--font-body);
    display: -webkit-box;
    overflow: hidden;
    -webkit-box-orient: vertical;
    -webkit-line-clamp: 3;
}

.highlight-post__title--highlight {
    font: 700 32px var(--font-highlight);
    -webkit-line-clamp: 4;
}

.highlight-post__desc {
    margin-top: 8px;
    font-size: 16px;
    font-family: var(--font-body);
    color: var(--color-neutral-600);
    display: -webkit-box;
    overflow: hidden;
    -webkit-box-orient: vertical;
    -webkit-line-clamp: 3;
}

.highlight-post__icon-wrapper {
    position: absolute;
    top: 8px;
    right: 8px;
    width: 32px;
    height: 32px;
    border-radius: 6.4px;
    background: #0C0C204D;
    display: flex;
    align-items: center;
    justify-content: center;
}

.highlight-post__icon {
    width: 20px;
    height: 20px;
}

@media screen and (max-width: 576px) {
    .highlight-post--flex {
        display: block;
    }

    .highlight-header__title {
        font-size: 24px;
        margin-bottom: 8px;
    }

    .highlight-header__shape {
        width: 124px;
        height: 5px;
    }

    .highlight-body {
        padding: 16px 0;
        background-color: var(--color-neutral-0);
        box-shadow: none;
        clip-path: none;
    }

    .highlight-relate {
        display: none;
    }

    .highlight-topstory {
        padding-bottom: 0;
        margin-bottom: 0;
        border-bottom: none;
    }

    .highlight-post__image-wrapper--flex-item {
        width: 100%;
        margin-bottom: 16px;
    }

    .highlight-topstory__upper .highlight-post__info {
        text-align: left;
        width: 100%;
    }

    .highlight-post__title--highlight {
        font-size: 20px;
    }

    .highlight-topstory__upper .highlight-post__icon-wrapper {
        width: 32px;
        height: 32px;
    }

    .highlight-topstory__upper .highlight-post__icon {
        width: 20px;
        height: 20px;
    }

    .highlight-topstory__lower {
        display: block;
    }

        .highlight-topstory__lower > *,
        .highlight-topstory__lower > *:nth-child(4) {
            display: flex;
            width: 100%;
        }

    .highlight-body > *:nth-last-child(n+2) {
        padding-bottom: 16px;
        margin-bottom: 16px;
        border-bottom-width: 3px;
    }

    .highlight-topstory__lower > *:nth-child(-n+2) {
        margin-right: 0;
    }

    .highlight-topstory__lower .highlight-post__image-wrapper {
        width: 41.691%;
        min-width: 143px;
        margin-right: 16px;
        margin-bottom: 0;
    }

    .highlight-topstory__lower > *:nth-last-child(n+2) {
        padding-bottom: 16px;
        margin-bottom: 16px;
        border-bottom: 1px dashed var(--color-neutral-200);
    }

    .highlight-topstory__lower .highlight-post__icon-wrapper {
        width: 24px;
        height: 24px;
    }

    .highlight-topstory__lower .highlight-post__icon {
        width: 14px;
        height: 14px;
    }
}
